This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980462 - [RFE]rhev-h failed to recognize new disk in boot/hostvg_device_page when refresh these pages
[RFE]rhev-h failed to recognize new disk in boot/hostvg_device_page when refr...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
2.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabian Deutsch
Virtualization Bugs
node
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 08:45 EDT by haiyang,dong
Modified: 2016-02-10 15:04 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-29 04:18:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2013-07-02 08:45:52 EDT
Description of problem:
After enter the boot_device_page of install process, push usb disk into machine, then "Back" and "Continue" button to refresh
boot_device_page, but rhev-h failed to recognize new usb disk in boot/hostvg_device_page when refresh these pages  

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130222.0.auto1707.el6.iso
ovirt-node-3.0.0-1.999.20130701111251git99aadc6.el6.noarch

How reproducible:
100%

Steps to Reproduce:


Actual result:

                                                           
Expect result:

Additional info:
Rhev-h 6.4.z can recognize new disk in boot/hostvg_device_page when refresh these pages.
Comment 2 Fabian Deutsch 2013-07-08 11:23:24 EDT
Currently the storage devices are only probed when the setup or installer is started. Any changes during runtime are not reflected in the ui.
Possible solutions are to wait for udev events or e.g. to offer a refresh button, to reload the storage devices.

I'd probably go with the refresh button solution - as a first start. Objections?
Comment 3 Mike Burns 2013-07-08 11:29:40 EDT
I'd say a refresh button should be sufficient short term.  Some decent feedback that we're off checking for new devices would be good too
Comment 4 Itamar Heim 2014-06-29 04:18:40 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Didn't see any customer tickets complaining about this.

Note You need to log in before you can comment on or make changes to this bug.